<?php
/**
 * @file
 * Provides infrequently used functions and hooks for normalize.
 */

/**
 * Menu callback: admin settings form.
 *
 * @return
 *   The settings form used by Normalize.
 */
function normalize_admin_settings_form($form, &$form_state) {
  // Option to toggle the version of Normalize.css
  $form['normalize_version'] = array(
    '#type' => 'radios',
    '#title' => t('Choose which Normalize.css to use'),
    '#default_value' => variable_get('normalize_version', '2'),
    '#options' => array(
      '2' => t('Version 2 without support for IE 6/7'),
      '1' => t('Version 1 with support for IE 6/7'),
    ),
    '#description' => t('Normalize version 2 is a simpler stylesheet because it lacks support for the older IE 6/7 browsers.'),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save configuration'),
  );

  return $form;
}

/**
 * Form submission handler.
 */
function normalize_admin_settings_form_submit($form, &$form_state) {
  if ($form_state['values']['normalize_version'] === '1') {
    variable_set('normalize_version', '1');
  }
  else {
    variable_del('normalize_version');
  }
  drupal_set_message(t('The configuration options have been saved.'));
}
